Subject: MN: Busking / Random Factor

From: Kevan Davis <kdavis@i...>
Date: Wed, 5 Aug 1998 17:37:09 +0100 (BST)

>>Actually, one of my ideas is to introduce an anti-busking action along the 
>>lines of 'alerting transport police', but I'm struggling with the finer
>points 
>>of the action mechanics. 
>:-) 
> 
>That's a rather nice idea... I can see why it would be difficult though, 
>since Busking is self-contained within a Turn and what you'd really want 
>would be to confiscate any Tokens earned through Busking, but if they've 
>already been spent... perhaps a general fine instead? 

A fixed fine sounds a good idea - either 'n' Bronzes (with maybe a forced
Pass if you can't pay), or a simple loss of all Bronze Tokens. Having the
alerting Action as performable by any Player who has passed through the
Station the Player was Busking at seems quite intuitive and reasonable,
too...

(After experiences this weekend on the Tube, perhaps a new "Jester's"
Hat might be in order, to give bonuses to Busking...)

>>I'm also interested in the idea of introducing more random elements to
>play, 
>>but again the problem is how to implement them -- one thought is to use the 
>>dice server at pbm.com, as is used in Ackanomic (and, I dare say, other
>email 
>>nomics). What would people reckon to that? Would it be making things too 
>>complicated? 
> 
>Interesting - could be rather good. 

I'd been considering such things for a while, particularly for the
Courier Calls. One relatively easy solution seemed to be that of a
simple Web page which contained a random pair of Stations each day,
based on the date; whenever a Player did a Courier Call, we used
those two (or waited 'til the next day and used those).

Cheating is the thing, though. Done in Javascript it could be
quite easily hacked, and even compiled Java is fiddlable by putting
your system clock forward to see what the new day might bring. Even
with a few "take account of Game Time and add every third Token
total to the initial seed" additions, it's not too hard for someone
to plot ahead and work out what the random decision would be.

The dice server (which I remember Thring using) seems perhaps a
good solution, really depending on how many random elements the
game is going to have. For the odd Courier Call and whatnot, I
suppose it'd be feasible, but much more and we'd end up with
considerable excess traffic on the list. Not to mention it slowing
down the Game a lot if we have any immediate random Actions - if
you perform the "[Random Wild]" Action to make a random Station a
Valid Move, you have to prod the server halfway through your Move.
And by doing this you really limit yourself to sticking with your
decision - if you think "Ah, no, I'd actually rather do something
else, because I forgot I had that Silver.", it's going to look
like the (perfectly valid, of course) "Ah, that's not a very good
result, I'll do something else." GSD replacement.

Random elements would be a welcome addition; I'm just not so sure
they'd be easy to apply to anything other than events which can be
deemed as taking place between Turns.

>If we want random selection of Stations, Lines, or whatever (Stations by 
>Line? By Quadrant? By Zone?) we might want to prepare some numbered lists 
>which we could use as lookups for the results of any dice rolls. 

Venbacker Numbers, to quote the Encyclopaedia Morningtonia. Be very
afraid.

Kevan

--
kdavis@i... - http://www.innotts.co.uk/~elusive/kevan - UIN: 5998366
"The passing of time, and all of its crimes, is making me sad again."
-- The Smiths, "Rubber Ring"